Lnmp

3 篇

闲扯一下军哥的LNMP和OneinStack,顺谈一下主机发展史

作为一个多年Wordpress小菜鸟(好像很多方面都是如此),从最早的虚拟主机(这玩意其实挺好的,现在想想有点像傻瓜机的感觉,因为只要付了钱,在后面输入一些相信自己,FTP上传文件再安装一个博客或CMS等就好了,但VPS或云主机就不一样了,两者就好比一个是精装修的单身公寓,一个是毛坯房,VPS或云主机要装系统、根据需要架设环境、上传网站及配置等等),刚开始用着虚拟主机也挺好的,但后来这“兴趣爱好”越来越多时,什么论坛了、邮箱了、多域名多空间,这些虚拟主机就吃不消了,就像前面说的虚拟主机就如同精装修的单身公寓,一两个住住尚可,多了就住不下了。那么选择VPS或云主机,问题就来了,毕竟是个“毛坯”,什么都得自己来弄(当然如果你有钱,完全可以外包,房子装修可以外包,这个也可以的了),记得自己最早的VPS上装的是Win2003的系统(没办法就对微软的系统熟悉,相信很多人都这样),想想那些Linux系统(一天到晚的黑着个“脸”),想架个环境只能靠打码,只能先作罢。用了一段时间的Windows系统,发现一个问题,因为当时贪便宜买的是低配的主机,结果时间长了网站打开速度就慢,重启一下就好多了,所以又养成了定期重启系统的习惯。经历过一段时间以后,觉得应该向Linux系统发展,为什么呢?你可以发现很多这方面的论坛上都在说,Linux的主机如何的稳定,而且基本上从来不关机(除非运营商出问题),心痒了又动手了,由于那时还是不了解Linux,听说有面板这一好东西,选来选去,选了个WDCP,确实挺好的,那些打码的事少了,只要跟着教程(其实现在很多时候我也是这样的)配置好面板就好了,余下的像网站管理什么的面板统统可以Hold住(好东西吧)。好景不长,刚好那段时间赶上WDCP爆出有漏洞,又担心影响自己,决定要换,在各大论坛打探了一番,听说除了面板,还是一键脚本可以快速架设所需要网站环境,那时一搜就找到了军哥的LNMP, 确实挺好的,只要跟着安装教程走,就成功架设好网站环境,而且运行也非常稳定(这也得益于我后来的云主机——阿里云),网站打开速度都还OK的,基本上除了我有时手痒要去弄个东西重启外,就没出现问题过,而且军哥的脚本年份早、使用人数多,

坎坷的一天之从LNMP1.2升级到1.3

自从用上军哥的LNMP后,一直都很稳定(Linux也有功劳),军哥都是一年更新的(6.1一个特殊的日子,很多人都晓的吧……),最早用过1.1的,后来换主机换服务商什么的,就迎来了LNMP1.2,也就这样一直迎着,看现在1.3已经发布有段时间了,那个心痒呀(本人就是一折腾命,总是喜欢接触新事物),那赶紧动手吧。想保留目前的网站和资料那只能做无损升级了,也意味着保存工作开始了,数据库直接使用phpmyadmin直接导出(建议是每个数据库导一份,合在一起在恢复的时候容易出问题,反正我是分开的)。 导出数据库之后,建议把各站点的nginx配置文件也备份一份,接着将网站目录也暂时改一下名,弄好之后就开始卸载LNMP。 cd lnmp1.2-full ./uninstall.sh 如果目录lnmp1.2-full没有的话,就要重新下载,然后再解压,再输入刚才的命令,按着自己安装的来选择卸载。 输入对应的数字按回车,然后等待,一般都很快就可以卸载完成的。提示卸载完成后可以尝试输入:mysql命令,如果显示找不到的话,就说明LNMP已经卸载成功了! 那既然卸载完成了,就开始下载安装LNMP1.3吧,由于军哥的国内服务器暂停了,只能国外下载,导致下载速度慢到……(欲哭无泪吧,好几次挣扎在10KB/s),安装过程都很顺利,顺手把PHP也升了一下,结果导致eAccelerator无法兼容,不过好在memcache还是可以使用的(没有"d"的哦,如果安装时选择第2项memcached的话,那么wordpress的object-cache无法使用的。安装完LNMP1.3后,在配置站点时关联的数据库要使用原先站点的用户和密码,这样在phpmyadmin里就可以直接导入对应的数据库了。 恢复工作完成,网站就可以正常访问了,LNMP也由原先的1.2升级到了1.3(其实也差不多了,对于一般人来讲),顺手给网站添加了w3 total cache,先尝试用用看,这玩意要比那WP Super Cache麻烦那么一点,先用用看吧。

Lnmp重装后Wordpress前台和后台一片空白的解决办法

系统出了一些问题。所以折腾了下。重新安装LNMP环境后,发现wordpress前台和后台一片空白。 弄了半天以为是系统升级造成的。网上查了下貌似是wordpress版本和主题的原因。小记一下。 可能原因 这个问题,一般是在进行以下操作后出现的: 更换新主题 安装或升级插件 升级Wordpress版本 问题的根源在于 主题、插件和wordpress自身 三者之间的不兼容: 某些主题集成了很多强大的功能,可能与现在使用的插件冲突 某些插件版本或主题不兼容你现在使用的Wordpress版本 解决办法 方法一:通过 FTP 重新命名当前启用的主题 把当前安装的主题文件夹重命名的话,会强制 WordPress 自动选择默认的主题,然后就可以正常载入了。 通过 FTP 找到 wp-contents/themes 文件夹,重命当前安装的主题文件夹。例如:把 yusi1.0 命名为 yusi 登录 WordPress 后台, 禁用所有插件,然后 FTP 将原来的主题名字改回来,重新激活, 如果一切正常,说明是这个主题和某插件冲突,逐个激活插件,找出冲突的插件并禁用; 如果重新激活主题又出现问题,说明这个主题和你现在使用的wordpress版本不兼容,或者主题存在错误。 方法二:通过 FTP 重设插件文件夹 通过 FTP 登录,将 wp-contents 下的 plugins 文件夹重命名为 plugins-temp 在同一目录下创建一个新的文件夹为 plugins ,重新登录 WordPress 后台, 如果问题依旧,说明是现用主题和你的 WordPress 不兼容,或主题存在错误; 如果一切正常,说明是某个插件与当前 wordpress 版本或主题冲突,把插件从